@import url('defaults.css');
@import url('/css/uh-fonts.css');

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

@media screen and (min-width: 1921px) {
    html {
        background: #333;
    }
    body {
        background: white;
        margin: 0 auto;
        max-width: 1920px;
    }
}

main {
    flex: 1;
}

.nav {
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
}

/*
 * Headers
 */

/* accessibility */

.skipToContent {
    font-size: .8888889rem;
    padding: .5em 1rem;
    position: absolute;
    margin-left: -1000px;
}

.skipToContent:focus {
    margin-left: 0;
}

/* general header styles */

.uh-header {
    background-color: #c8102e;
}

.uh-header a,
.uh-header a:visited {
    color: #FFF9D9;
    text-decoration: none;
}

.uh-header a:focus,
.uh-header a:hover {
    color: white;
    text-decoration: none;
}

/* global navigation */

.global-nav {
    display: flex;
    flex-flow: row-reverse;
    overflow: hidden;
    padding: 0 1.25rem;
}

.global-logo {
    align-self: center;
    display: block;
    flex-grow: 1;
    flex-shrink: 1;
    order: 1;
    padding: 0 1.25rem;
}

.uh-header-primary .global-logo {
    display: none;
}

.global-logo a {
    display: block;
    width: 260px;
}

.global-logo svg {
    display: block;
}

.global-logo svg * {
    fill: white;
}

/* tactical nav */

.nav-tactical {
    align-items: center;
    display: flex;
    font-size: 1.25vw;
    line-height: 1.5rem;
    margin: 0;
    padding: 0 .5rem;
}

.nav-tactical .nav-link {
    display: block;
    padding: .75rem;
}

@media screen and (min-width: 1280px) {
    .nav-tactical {
        font-size: 1rem;
    }
}

/* search */

.global-search {
    display: none;
}

/* site nav */

.site-nav {
    display: block;
    margin-top: 0;
    padding: 0;
}

.uh-header-primary .site-nav {
    display: flex;
    padding: 2.33333333rem 0;
    margin-top: -3rem;
}

/* site name */

.site-name {
    flex-basis: 300px;
    flex-grow: 0;
    flex-shrink: 1;
    overflow: hidden;
    padding: 0 2.5rem;
}

.uh-header-primary .site-name {
    padding-right: 0;
}

.uh-header-secondary .site-name {
    color: white;
    font-family: 'League Gothic';
    font-size: 4.6875vw;
    font-style: normal;
    font-weight: normal;
    height: 6rem;
    line-height: 5.5rem;
}

.site-name a,
.site-name svg {
    display: block;
}

.site-name a:link,
.site-name a:visited,
.site-name a:focus {
    color: white;
}

.uh-header-primary .site-name svg * {
    fill: white;
}

@media screen and (min-width: 1280px) {
    .uh-header-secondary .site-name {
        font-size: 3.75rem;
    }
}

/* primary navigation */

.nav-primary {
    display: flex;
    flex-grow: 1;
    flex-shrink: 0;
    font-size: 1.40625vw;
    font-weight: bold;
    line-height: 1.5rem;
    padding: 0 1.75rem;
}

.nav-primary .menu-button {
    display: none;
}

.nav-primary .nav-item {
    margin: 0;
    padding: 0;
    /* letter-spacing: 0.02em; */
}

.uh-header-primary .nav-primary .nav-item {
    margin: auto 0 -1.125rem;
}

.nav-primary .nav-link {
    display: block;
    margin: 0;
    padding: .75rem;
}

@media screen and (min-width: 1280px) {
    .nav-primary {
        font-size: 1.125rem;
    }
}

/*
 * Footers
 */


.uh-footer a,
.uh-footer a:visited {
    color: #FFF9D9;
    text-decoration: none;
}

.uh-footer a:focus,
.uh-footer a:hover {
    color: white;
    text-decoration: none;
}

.site-footer {
    background-color: #c8102e;
    display: flex;
    font-size: 1em;
    line-height: calc(1.5em - 3px);
    padding: 1.5rem 1.25rem;
}

.uh-footer-main .site-footer {
    background-color: #c8102e;
}

.contact-block {
    flex-basis: 33%;
    padding: 0 1.25rem;
    flex-shrink: 1;
    flex-grow: 0;
}

.footer-logo {
    margin: 10px 0 30px;
    max-width: 260px;
}

.footer-logo svg {
    display: block;
}

.footer-logo svg * {
    fill: white;
}

.contact-info {
    line-height: 1.5;
}

.footer-links {
    display: flex;
    flex-shrink: 100;
    flex-basis: 67%;
    flex-grow: 0;;
}

.footer-links > * {
    padding: 0 1.25rem;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 25%;
}

.footer-links .nav-item {
    margin: 9px 0;
}

/*
 * global footer
 */

.global-footer {
    background-color: #54585A;
    color: white;
    font-size: .875rem;
    padding: 1em 2.5rem;
}

.global-footer a,
.global-footer a:visited {
    color: #ccc;
    text-decoration: none;
}

.global-footer a:focus,
.global-footer a:hover {
    color: white;
    text-decoration: none;
}

.global-footer .copyright {
    display: inline;
    margin: 0;
}

.nav-required {
    display: inline;
    margin-left: .5em;
}

.nav-required .nav-item {
    display: inline-block;
    margin-right: .5em;
}

.nav-item-highlighted a,
.nav-item-highlighted a:visited {
    color: #FFF9D9;
    text-decoration: none;
}

.nav-item-highlighted a:focus,
.nav-item-highlighted a:hover {
    color: white;
}







[data-target=".nav-primary"] .nav-primary {
    float: left;
    left: 0;
    margin-top: -3rem;
    right: 0;
    top: 0;
    width: 100%;
}

[data-target=".nav-primary"] .nav-primary.affix {
    box-shadow: 0 1px rgba(0,0,0,.2);
    margin-top: 0;
}

.nav-primary li {
    position: relative;
}

.nav-primary > li {
    transition: background .15s ease;
}

.nav-primary > li:hover {
    background: rgba(0,0,0,.25);
    box-shadow: 0 .5rem 1rem rgba(0,0,0,0.2);
}

.nav-primary > li > a:empty {
    display: none;
}

.nav-primary .children {
    background-color: white;
    border: 1px solid rgba(0,0,0,0.1);
    border-top-width: 0;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,0.1);
    font-size: 1rem;
    font-weight: normal;
    line-height: calc(1.5rem - 3px);
    left: -999em;
    position: absolute;
    width: 260px;
    z-index: 9999;
}

.nav-primary > li:hover > .children {
    left: -1px;
}

.nav-primary > li:last-child:hover > .children {
    left: auto;
    right: 0;
}

.nav-primary .children li {
    display: block;
    float: none;
    margin: 0;
    padding: 0;
}

.nav-primary li:hover .children li:hover {
    background-color: #FFF9D9;
}

.nav-primary .children a {
    color: #c8102e;
    display: block;
    padding: .5rem 1.5rem .5rem .75rem;
}

.nav-primary .grandchildren {
    border-top-width: 1px;
    margin-left: 260px;
    top: -1px;
}


.nav-primary > li:last-child .children .grandchildren {
    left: auto;
    margin-left: 0;
    right: 260px;
}

@media only screen and (max-width: 767px) {
    nav.affix {
        position: relative;
    }
    [data-target=".nav-primary"] .uh-header {
        padding-bottom: 0;
    }
    .nav-primary li {
        background: none;
        box-shadow: 0 1px 0 rgba(0,0,0,.15);
    }
    .nav-primary li:hover,
    .nav-primary > li:hover,
    .nav-primary li:hover .children li:hover {
        background: none;
    }
    .nav-primary li a,
    .nav-primary .children a,
    .nav-primary > li > a {
        color: #fff;
        margin: 0;
        position: relative;
        text-decoration: none;
    }
    .nav-primary li a:hover {
        text-decoration: none;
    }
    .nav-primary {
        box-shadow: inset 0 -.5rem .5rem rgba(0,0,0,.05);
        max-height: none;
        padding: 0;
    }
    .nav-primary .children {
        background: rgba(0,0,0,.1);
        border: none;
        box-shadow: inset 0 .5rem .5rem rgba(0,0,0,.05), inset 0 -.5rem .5rem rgba(0,0,0,.05);
        display: block;
        font-weight: normal;
        height: auto;
        max-height: 0px;
        overflow: hidden;
        position: relative;
        transition: .5s max-height ease !important;
    }
    .nav-primary .children,
    .nav-primary .grandchildren,
    .nav-primary .children li .grandchildren {
        opacity: 1;
    }
    .nav-primary .opened + .children,
    .nav-primary .opened + .grandchildren {
        max-height: 125em;
    }
}

/*
 * Opacity effects
 */

.nav-primary .children,
.nav-primary .grandchildren{
    opacity: 0;
}

.nav-primary > li:hover > .children,
.nav-primary > li:first-child:hover > .children {
    opacity: 1;
    transition: opacity .2s ease .2s, left 0 ease .2s;
}

.nav-primary .children li .grandchildren {
    opacity: 0;
    transition: opacity .2s ease;
}

.nav-primary .children li .grandchildren.opened {
    left: -2px;
    opacity: 1;
    transition: opacity .2s ease;
}

.nav-primary > li:last-child .children li .grandchildren {
    opacity: 0;
    transition: opacity 0s ease .2s, right 0s ease .2s;
}

.nav-primary > li:last-child .children li:hover .grandchildren {
    opacity: 1;
    transition: opacity .2s ease, right 0s ease;
}

/*
 * Caret
 */

.nav-primary .caret {
    border-top: .25rem solid #FFF9D9;
    border-right: .25rem solid transparent;
    border-bottom: none;
    border-left: .25rem solid transparent;
    content: "";
    display: inline-block;
    height: 0;
    margin: 0 -.125rem .125rem .375rem;
    opacity: 0.5;
    position: relative;
    right: auto;
    top: auto;
    vertical-align: middle;
    width: 0;
}

.nav-primary li:hover .caret {
    opacity: 1;
}

.nav-primary .children .caret {
    border-top: .25rem solid transparent;
    border-right: none;
    border-bottom: .25rem solid transparent;
    border-left: .25rem solid #c8102e;
    position: absolute;
    right: .75rem;
    top: .875rem;
}

@media only screen and (max-width: 767px) {
    .nav-primary .caret,
    .nav-primary .children .caret {
        background: rgba(0,0,0,.125) url('https://uh.edu/css/backgrounds/caret.svg') no-repeat center center;
        border: 0;
        box-shadow: inset 1px 0 0 rgba(0,0,0,.05);
        cursor: pointer;
        display: block !important;
        height: 45px;
        margin: 0;
        opacity: 1;
        position: absolute;
        right: 0;
        top: 0;
        width: 45px;
    }
    .no-inlinesvg .nav-primary .caret {
        background: transparent url('https://uh.edu/css/backgrounds/caret.png') no-repeat center center;
    }
    .nav-primary .opened > .caret {
        background-color: #960C22;
        box-shadow: none;
    }
    .nav-primary .children .opened .caret {
        background-color: rgba(0,0,0,.25);
    }
}